Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.framework.util
Class ConfigurationHelper

    java.lang.Object
      com.stc.connector.framework.util.ConfigurationHelper

public class ConfigurationHelper
extends java.lang.Object

DOCUMENT ME!

Version:
  $Revision: 1.2 $
Author:
  smarkov

Field Summary
`static java.lang.String` | `SEPARATOR` The path separator string
`static char` | `SEPARATOR_CHAR` The path separator character

Constructor Summary
`ConfigurationHelper(com.stc.configuration.IConfiguration config)` Creates a new instance of ConfigurationHelper
`ConfigurationHelper(com.stc.configuration.ISection section)` Creates a new instance of ConfigurationHelper

Method Summary
`com.stc.configuration.IParameter` | `getParameter(java.lang.String path)` Gets the Parameter for the path specified.
`com.stc.configuration.ISection` | `getSection(java.lang.String path)` Gets the Section for the path specified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEPARATOR

    public static final java.lang.String SEPARATOR

  The path separator string

  See Also:
    Constant Field Values

### SEPARATOR_CHAR

    public static final char SEPARATOR_CHAR

  The path separator character

  See Also:
    Constant Field Values

Constructor Detail

### ConfigurationHelper

    public ConfigurationHelper(com.stc.configuration.IConfiguration config)

  Creates a new instance of ConfigurationHelper

Parameters:
  `config` - DOCUMENT ME!

### ConfigurationHelper

    public ConfigurationHelper(com.stc.configuration.ISection section)

  Creates a new instance of ConfigurationHelper

Parameters:
  `section` - DOCUMENT ME!

Method Detail

### getSection

    public com.stc.configuration.ISection getSection(java.lang.String path)

  Gets the Section for the path specified.

  Parameters:
    `path` - DOCUMENT ME!
  Returns:
    Instance of ISection.

### getParameter

    public com.stc.configuration.IParameter getParameter(java.lang.String path)

  Gets the Parameter for the path specified.

  Parameters:
    `path` - DOCUMENT ME!
  Returns:
    Instance of IParameter.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD